=== debian/changelog ===
cc1541 (3.2-1) unstable; urgency=medium

  * Initial release (closes: #981792).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 03 Feb 2021 20:31:41 +0100
