=== debian/control ===
Source: cc1541
Section: otherosfs
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13), asciidoc-base, docbook-xml, docbook-xsl
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://bitbucket.org/PTV_Claus/cc1541/

Package: cc1541
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool for creating Commodore Floppy disk images in D64, G64, D71 or D81 format
 Tool for creating Commodore Floppy disk images in D64, D71 or D81 format
 with custom sector interleaving etc. Also supports extended tracks 35-40
 using either SPEED DOS or DOLPHIN DOS BAM-formatting.
