=== debian/watch ===
version=4
https://bitbucket.org/PTV_Claus/cc1541/downloads/?tab=tags .*/get/v?(\d\S+)@ARCHIVE_EXT@
