## cc1541 3.3

=== debian/changelog ===
cc1541 (3.3-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.
  * Update Standards-Version to 4.6.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 07 Oct 2021 17:31:20 +0200
