=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$// \
https://bitbucket.org/PTV_Claus/cc1541/downloads/?tab=tags \
.*/v?(\d\S*)@ARCHIVE_EXT@
