=== debian/changelog ===
cc1541 (3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 28 Feb 2022 22:13:53 +0100
