## cc1541 4.0

=== debian/changelog ===
cc1541 (4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 28 Aug 2022 11:06:10 +0200
