=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/vendor.mk

# set install directory
export prefix=/usr
# enable manpage creation
export ENABLE_MAN=1

%:
	dh $@
