## cc1541 4.1

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,9 @@
 
 all: $(ALL_TARGETS)
 
-cc1541: cc1541.c
+cc1541.o: cc1541.c
+
+cc1541: cc1541.o
 
 cc1541.1.txt: cc1541.1.txt.in
 	sed -e "s/@@VERSION@@/$(VERSION)/g" < cc1541.1.txt.in > cc1541.1.txt
@@ -34,7 +36,9 @@
 
 man: cc1541.1
 
-test_cc1541: test_cc1541.c
+test_cc1541.o: test_cc1541.c
+
+test_cc1541: test_cc1541.o
 
 check: cc1541 test_cc1541
 	./test_cc1541 ./cc1541
@@ -49,11 +53,12 @@
 
 cc1541-$(VERSION).tar: $(CC1541_SRC)
 	rm -rf cc1541-$(VERSION)/ *~ README.md.T
-	mkdir -p cc1541-$(VERSION)
-	cp -a $(CC1541_SRC) cc1541-$(VERSION)/
-	chmod 0644 cc1541-$(VERSION)/*
-	tar cf cc1541-$(VERSION).tar cc1541-$(VERSION)/
-	rm -rf cc1541-$(VERSION)/
+	$(eval $@_TMP := $(shell mktemp -d))
+	mkdir -p $($@_TMP)/cc1541-$(VERSION)
+	cp -a $(CC1541_SRC) $($@_TMP)/cc1541-$(VERSION)/
+	chmod 0644 $($@_TMP)/cc1541-$(VERSION)/*
+	tar cf cc1541-$(VERSION).tar -C$($@_TMP) cc1541-$(VERSION)/
+	rm -rf $($@_TMP)
 
 cc1541-$(VERSION).tar.bz2: cc1541-$(VERSION).tar
 	bzip2 -9cz < cc1541-$(VERSION).tar > cc1541-$(VERSION).tar.bz2
@@ -66,11 +71,14 @@
 
 cc1541-$(VERSION).zip: $(CC1541_SRC)
 	rm -rf cc1541-$(VERSION)/ *~ README.md.T
-	mkdir -p cc1541-$(VERSION)
-	cp -a $(CC1541_SRC) cc1541-$(VERSION)/
-	chmod 0644 cc1541-$(VERSION)/*
-	zip -9r cc1541-$(VERSION).zip cc1541-$(VERSION)/
-	rm -rf cc1541-$(VERSION)/
+	$(eval $@_SRC := $(shell pwd))
+	$(eval $@_TMP := $(shell mktemp -d))
+	mkdir -p $($@_TMP)/cc1541-$(VERSION)
+	cp -a $(CC1541_SRC) $($@_TMP)/cc1541-$(VERSION)/
+	chmod 0644 $($@_TMP)/cc1541-$(VERSION)/*
+	cd $($@_TMP) && \
+	zip -9qr $($@_SRC)/cc1541-$(VERSION).zip cc1541-$(VERSION)/
+	rm -rf $($@_TMP)
 
 dist-bz2: cc1541-$(VERSION).tar.bz2
 dist-gz:  cc1541-$(VERSION).tar.gz
@@ -81,16 +89,18 @@
 dist: dist-gz dist-zip
 
 dist-check: dist
-	tar xf cc1541-$(VERSION).tar.gz
-	$(MAKE) -C cc1541-$(VERSION)/ all check
-	rm -rf cc1541-$(VERSION)/
+	$(eval $@_TMP := $(shell mktemp -d))
+	mkdir -p $($@_TMP)
+	tar xf cc1541-$(VERSION).tar.gz -C $($@_TMP)
+	$(MAKE) -C $($@_TMP)/cc1541-$(VERSION)/ all check
+	rm -rf $($@_TMP)
 
 codestyle: cc1541.c test_cc1541.c
 	astyle --style=kr -n -s -z2 cc1541.c test_cc1541.c
 
 wrap: cc1541.1.txt.in LICENSE.txt README.md
 	for f in $^; do \
-	  fold -s -w 70 < $$f | perl -pe 's/[\t\040]+$$//' > $$f.T; \
+	  fold -s -w 76 < $$f | perl -pe 's/[\t\040]+$$//' > $$f.T; \
 	  mv -f $$f.T $$f; \
 	done
 
@@ -99,4 +109,4 @@
 
 .PHONY: all check clean codestyle dist dist-all dist-bz2 dist-check dist-gz dist-xz dist-zip install man test wrap
 
-.NOTPARALLEL: cc1541-$(VERSION).tar cc1541-$(VERSION).zip
+.EXPORT_ALL_VARIABLES:
