=== debian/changelog ===
cc1541 (4.1-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Aug 2023 07:14:22 +0200
