## cc1541 4.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CC1541_CFLAGS = -std=c99 -pipe -O2 -Wall -Wextra -pedantic
+CC1541_CFLAGS = -std=c99 -pipe -O2 -Wall -Wextra -pedantic -Wno-error=date-time
 
 ALL_TARGETS = cc1541
 
@@ -44,6 +44,12 @@
 	./test_cc1541 ./cc1541
 
 test: check
+
+cc1541_asan: cc1541.c
+	$(CC) -g -fsanitize=address -fsanitize=undefined -o $@ $<
+
+asantest: cc1541_asan test_cc1541
+	./test_cc1541 ./cc1541_asan
 
 install: all
 	$(INSTALL) -Dpm 0755 ./cc1541 $(DESTDIR)$(bindir)/cc1541
@@ -105,7 +111,7 @@
 	done
 
 clean:
-	rm -rf cc1541-$(VERSION)/ *~ README.md.T *.o *.orig cc1541 test_cc1541 cc1541-$(VERSION).* cc1541.1 cc1541.1.txt
+	rm -rf cc1541-$(VERSION)/ *~ README.md.T *.o *.orig cc1541 cc1541_asan test_cc1541 cc1541-$(VERSION).* cc1541.1 cc1541.1.txt
 
 .PHONY: all check clean codestyle dist dist-all dist-bz2 dist-check dist-gz dist-xz dist-zip install man test wrap
