=== debian/changelog ===
cc1541 (4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 03 Mar 2024 09:17:22 +0100
